From 7939f14bcfb228f1f67fa407dfbcad2ed58e9873 Mon Sep 17 00:00:00 2001
From: Chen Qun <kuhn.chenqun@huawei.com>
Date: Mon, 30 Mar 2020 22:08:20 +0800
Subject: [PATCH 09/28] base.cfg: Add boot index for disk_image

Add boot index for disk_image, avoid vm can't find
 boot order when run qemu testcases.

Signed-off-by: Chen Qun <kuhn.chenqun@huawei.com>
---
 shared/cfg/base.cfg | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/shared/cfg/base.cfg b/shared/cfg/base.cfg
index 4a6fa0a2..570acede 100644
--- a/shared/cfg/base.cfg
+++ b/shared/cfg/base.cfg
@@ -258,6 +258,8 @@ image_name = image
 image_verify_bootable = yes
 # Pattern for verifying whether boot up from Hard disk.
 image_unbootable_pattern = "Hard Disk.*not a bootable disk"
+# Set boot index for disk_image
+image_boot = yes
 
 # Host-side caching to use. This option is passed directly to qemu(-kvm) so
 # any valid qemu cache option is valid here. A quick reference for the
-- 
2.23.0

